curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/marketplace/offers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/offers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"offerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopScxId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"offerType": 0,
"offerStatus": 0,
"isListed": true,
"deletionIntervalPendingOffer": 123,
"isExtern": true,
"stockUpdateEnabled": true,
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sKU": "<string>",
"productNumber": "<string>",
"offerTitle": "<string>",
"channelName": "<string>",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channel": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"categoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelCategoryId": "<string>",
"channelCategoryName": "<string>",
"netPrice": 123,
"percent": 123,
"priceId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salePriceNet": 123,
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"currency": "<string>",
"availableQuantity": 123,
"quantityInOrders": 123,
"inboundQuantity": 123,
"gTIN": "<string>",
"productWeight": 123,
"mPN": "<string>",
"iSBN": "<string>",
"aSIN": "<string>",
"manufacturer": "<string>",
"purchasePriceNet": 123,
"activeSince": "2023-11-07T05:31:56Z",
"processingTime": 123,
"inboundAvailableAt": "2023-11-07T05:31:56Z",
"listingUrl": "<string>",
"salesChannelItemDataId": 123,
"minimumStock": 123,
"maximumStock": 123,
"lastUpload": "2023-11-07T05:31:56Z",
"shopName": "<string>",
"quantityUpdatedAt": "2023-11-07T05:31:56Z",
"priceUpdatedAt": "2023-11-07T05:31:56Z",
"statusReceivedAt": "2023-11-07T05:31:56Z",
"lastUploadedPrice": 123,
"channelOfferId": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}Delivers a queryable overview list of all MarketplaceOfferListItem
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Query Parameters
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Only include items whose ExpirationDate is after (greater than) this value.
Only include items whose ExpirationDate is before (less than) this value.
Only include items whose ActiveSince is after (greater than) this value.
Only include items whose ActiveSince is before (less than) this value.
Only include items whose InboundAvailableAt is after (greater than) this value.
Only include items whose InboundAvailableAt is before (less than) this value.
Only include items whose LastUpload is after (greater than) this value.
Only include items whose LastUpload is before (less than) this value.
Only include items whose QuantityUpdatedAt is after (greater than) this value.
Only include items whose QuantityUpdatedAt is before (less than) this value.
Only include items whose PriceUpdatedAt is after (greater than) this value.
Only include items whose PriceUpdatedAt is before (less than) this value.
Only include items whose StatusReceivedAt is after (greater than) this value.
Only include items whose StatusReceivedAt is before (less than) this value.
Was this page helpful?